# frozen_string_literal: true

module SmartMethod
  module Hash
    def has_keys?(*keys)
      (self.keys & keys) == keys
    end

    def replace_key(old_key, new_key)
      self[new_key] = self.delete old_key
    end

    def first_key
      keys[0]
    end

    def last_key
      keys.last
    end
  end
end
